---
updatedAt: 2026-06-03T14:46:37.000Z
agentTools:
  projectIndex: https://developers.fieldwire.com/llms.txt
---

# Get sheet_upload by ID

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Fieldwire Regional API",
    "version": "v3"
  },
  "servers": [
    {
      "url": "https://client-api.{region}.fieldwire.com",
      "variables": {
        "region": {
          "default": "us",
          "enum": [
            "ca",
            "eu",
            "us"
          ]
        }
      }
    }
  ],
  "components": {
    "headers": {
      "current_user_id": {
        "description": "Current user's id",
        "schema": {
          "type": "integer"
        }
      }
    },
    "parameters": {
      "api_version": {
        "name": "Fieldwire-Version",
        "in": "header",
        "description": "Specifies the version of the API to talk to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "date"
        }
      },
      "id": {
        "name": "id",
        "in": "path",
        "description": "ID of the entity",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      },
      "project_id": {
        "name": "project_id",
        "in": "path",
        "description": "ID of the project this entity belongs to",
        "required": true,
        "schema": {
          "type": "string",
          "format": "uuid"
        }
      }
    },
    "schemas": {
      "sheet_upload": {
        "type": "object",
        "description": "Entity that denotes an uploaded file which gets processed into plan(s)",
        "required": [
          "id",
          "user_id",
          "project_id",
          "has_errors",
          "is_processed",
          "name",
          "created_at",
          "updated_at"
        ],
        "nullable": false,
        "properties": {
          "id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the entity"
          },
          "user_id": {
            "type": "integer",
            "format": "int32",
            "nullable": false,
            "description": "ID of the user who uploaded this"
          },
          "folder_id": {
            "type": "string",
            "format": "uuid",
            "nullable": true,
            "description": "ID of the folder this was uploaded into"
          },
          "project_id": {
            "type": "string",
            "format": "uuid",
            "nullable": false,
            "description": "ID of the project this entity belongs to"
          },
          "active_sheets_count": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Number of active Sheets in the Project, returned when query param count_active_sheets is set to true."
          },
          "status": {
            "type": "string",
            "enum": [
              "errored",
              "processed",
              "queued",
              "processing",
              "uploading",
              "splitting"
            ],
            "nullable": true,
            "description": "Status of the Sheet upload in the project."
          },
          "has_errors": {
            "type": "boolean",
            "nullable": false,
            "description": "Whether any errors were hit while processing this upload"
          },
          "is_processed": {
            "type": "boolean",
            "nullable": false,
            "description": "Whether this upload was successfully processed into plan(s)"
          },
          "file_size": {
            "type": "string",
            "nullable": true,
            "description": "Size in bytes of the uploaded file"
          },
          "file_url": {
            "type": "string",
            "nullable": true,
            "description": "URL of the file uploaded"
          },
          "name": {
            "type": "string",
            "nullable": false,
            "description": "Name of the entity"
          },
          "version_description": {
            "type": "string",
            "nullable": true,
            "description": "Description for the uploaded file"
          },
          "pages": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Count of pages in the uploaded file"
          },
          "pages_split": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Count of pages so far this has been split into (useful to show the state of processing)"
          },
          "pages_uploaded": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Count of split pages so far that have been uploaded (useful to show the state of processing)"
          },
          "plans_created": {
            "type": "integer",
            "format": "int32",
            "nullable": true,
            "description": "Count of plans created out of this upload"
          },
          "version_notes": {
            "type": "string",
            "nullable": true,
            "description": "Notes for the uploaded file"
          },
          "created_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server created the entity"
          },
          "updated_at": {
            "type": "string",
            "format": "date-time",
            "nullable": false,
            "description": "Time when the server last updated the entity"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwt": {
        "type": "http",
        "scheme": "bearer",
        "bearerFormat": "JWT",
        "description": "Access token (JWT) generated using the acquired refresh token (API token). Our [authentication](https://developers.fieldwire.com/docs/authentication) guide covers the steps to generate a valid token"
      }
    }
  },
  "paths": {
    "/api/v3/projects/{project_id}/sheet_uploads/{id}": {
      "get": {
        "summary": "Get sheet_upload by ID",
        "operationId": "get_sheet_upload_by_id",
        "tags": [
          "sheet uploads"
        ],
        "security": [
          {
            "jwt": []
          }
        ],
        "parameters": [
          {
            "$ref": "#/components/parameters/project_id"
          },
          {
            "$ref": "#/components/parameters/id"
          },
          {
            "$ref": "#/components/parameters/api_version"
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "headers": {
              "X-Current-User-Id": {
                "$ref": "#/components/headers/current_user_id"
              }
            },
            "content": {
              "application/json": {
                "example": {
                  "created_at": "2026-10-02T14:52:52.319Z",
                  "updated_at": "2026-10-02T14:52:52.319Z",
                  "id": "2fb71b0c-6eee-4b3d-bc84-6f33d5719a9a",
                  "name": "sheet.jpeg",
                  "user_id": 2173,
                  "is_processed": false,
                  "pages": null,
                  "project_id": "178939c9-8a36-4eed-95eb-58799be90a88",
                  "folder_id": null,
                  "has_errors": false,
                  "version_description": null,
                  "version_notes": null,
                  "pages_split": null,
                  "pages_uploaded": null,
                  "plans_created": null,
                  "status": "queued",
                  "active_sheets_count": 0,
                  "file_size": null,
                  "file_url": "https://s3.amazonaws.com/com.fieldwire.test.core.api.uploads/"
                },
                "schema": {
                  "$ref": "#/components/schemas/sheet_upload"
                }
              }
            }
          }
        }
      }
    }
  }
}
```